export function mappingTransaction(data) {
  let payment_type_bank;
  const season_period = {
    id: data.season_period_id,
    holiday_name: data.season_period_name,
    season_type: {
      id: data.season_period_type_id,
      name: data.season_period_type_name,
    },
  };

  if (data.payment_type_method_id) {
    payment_type_bank = {
      id: data.payment_type_method_id,
      issuer_name: data.payment_type_method_name,
      account_number: data.payment_type_method_number,
    };
  }

  const items = data?.['items']?.map((itemData) => {
    let tenant;

    if (itemData.item_tenant_id) {
      tenant = {
        id: itemData.item_tenant_id,
        name: itemData.item_tenant_name,
        share_margin: itemData.item_tenant_share_margin,
      };
    }

    return {
      item: {
        id: itemData.item_id,
        name: itemData.item_name,
        item_type: itemData.item_type,
        base_price: itemData.item_price,
        hpp: itemData.item_hpp,
        tenant: tenant,
        item_category: {
          id: itemData.item_category_id,
          name: itemData.item_category_name,
        },
      },
      qty: itemData.qty,
      total_price: itemData.total_price,
    };
  });

  Object.assign(data, {
    season_period: season_period,
    items: items,
    payment_type_bank: payment_type_bank,
  });

  delete data.season_period_id;
  delete data.season_period_name;
  delete data.season_period_type_id;
  delete data.season_period_type_name;

  delete data.payment_type_method_id;
  delete data.payment_type_method_name;
  delete data.payment_type_method_number;
}
